Commerce
Get v1publicstorefronts promotions
GET
/
v1
/
public
/
storefronts
/
{slug}
/
promotions
cURL
curl --request GET \
--url https://api.wazapin.com/v1/public/storefronts/{slug}/promotions \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.wazapin.com/v1/public/storefronts/{slug}/promotions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/public/storefronts/{slug}/promotions"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"discount_type": "<string>",
"discount_value": 123,
"id": "<string>",
"auto_apply": true,
"bundle_product_ids": [
"<string>"
],
"category_ids": [
"<string>"
],
"code": "<string>",
"collection_ids": [
"<string>"
],
"ends_at": "2023-11-07T05:31:56Z",
"max_uses": 123,
"min_subtotal_amount": 123,
"name": "<string>",
"product_ids": [
"<string>"
],
"starts_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Authorizations
Path Parameters
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Response
OK
Show child attributes
Show child attributes
⌘I
cURL
curl --request GET \
--url https://api.wazapin.com/v1/public/storefronts/{slug}/promotions \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.wazapin.com/v1/public/storefronts/{slug}/promotions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/public/storefronts/{slug}/promotions"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"discount_type": "<string>",
"discount_value": 123,
"id": "<string>",
"auto_apply": true,
"bundle_product_ids": [
"<string>"
],
"category_ids": [
"<string>"
],
"code": "<string>",
"collection_ids": [
"<string>"
],
"ends_at": "2023-11-07T05:31:56Z",
"max_uses": 123,
"min_subtotal_amount": 123,
"name": "<string>",
"product_ids": [
"<string>"
],
"starts_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}